/*
 * Created on 08.03.2003
 *
 * Jrgen Seitz 	-	Software nach Mass
 */
package stammdaten;
/**
 * @author jrgen seitz
 *
 * einfache Klasse zum Speichern von Anschriftdaten
 */
public class StandardAnschrift{
	/**
	 * 
	 */
	public StandardAnschrift(String strasse, String hausnummer, String postleitzahl, String ort, String land) {
		this.strasse = strasse;
		this.hausNummer = hausnummer;
		this.postleitzahl = postleitzahl;
		this.ort = ort;
		this.land = land;		
	}
	
	private String hausNummer;
	private String land;
	private String ort;
	private String postleitzahl;
	private String strasse;

	/**
	 * @return String
	 * gibt die Hausnummer als String zurck	 */
	public String getHausNummer() {
		return hausNummer;
	}

	/**
	 * @return String
	 * gibt das Land als String zurck
	 */
	public String getLand() {
		return land;
	}

	/**
	 * @return String
	 * gibt den Ort als String zurck
	 */
	public String getOrt() {
		return ort;
	}

	/**
	 * @return String
	 * gibt die Postleitzahl als String zurck
	 */
	public String getPostleitzahl() {
		return postleitzahl;
	}

	/**
	 * @return String
	 * gibt die Strasse als String zurck
	 */
	public String getStrasse() {
		return strasse;
	}

	/**
	 * @see java.lang.Object#toString()	 * 
	 * @return String
	 * gibt die komplette StandardAnschrift als String zurck
	 */
	public String toString() {
		return this.strasse.toString() + " " + hausNummer.toString() + ", " + postleitzahl.toString() + " " + ort.toString() + ", " + land.toString();
	}

	/**
	 * @return String
	 * gibt die VersionsNummer als String zurck
	 * dadurch, dass die Methode als static definiert wurde,
	 * kann sie aufgerufen werden ohne instanziert werden zu mssen !
	 */
	private static String getVersion() {
		return "1b";
	}
}